<?PHP
#
#   FILE:  EditTopic.php
#
#   Part of the Collection Workflow Integration System (CWIS)
#   Copyright 2011-2013 Edward Almasy and Internet Scout Research Group
#   http://scout.wisc.edu/cwis/
#

PageTitle("Edit Topic");

# check if current user is authorized
if (!CheckAuthorization(PRIV_SYSADMIN))
    return;


if (!isset($_GET["TI"]))
    $H_ErrorMessages []= "No TopicId Specified";

$H_Topic = new Topic( intval($_GET["TI"]) );

if ($H_Topic->GetErrorStatus() != Topic::OK)
    $H_ErrorMessages []= "Invalid TopicId Specified";
